Bug 1907373

Summary: Rebase to kube 1.20.0
Product: OpenShift Container Platform Reporter: Tomáš Nožička <tnozicka>
Component: kube-apiserverAssignee: Stefan Schimanski <sttts>
Status: CLOSED ERRATA QA Contact: Ke Wang <kewang>
Severity: urgent Docs Contact:
Priority: urgent    
Version: 4.7CC: aos-bugs, maszulik, mfojtik, wking, xxia
Target Milestone: ---Keywords: UpcomingSprint
Target Release: 4.7.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
[sig-api-machinery] Servers with support for Table transformation should return chunks of table results for list calls [Suite:openshift/conformance/parallel] [Suite:k8s] [sig-api-machinery] Servers with support for Table transformation should return generic metadata details across all namespaces for nodes [Suite:openshift/conformance/parallel] [Suite:k8s]
Last Closed: 2021-02-24 15:43:16 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Tomáš Nožička 2020-12-14 11:26:13 UTC
OpenShift 4.7 needs to be based on top of kube 1.20.0

Comment 3 Ke Wang 2021-01-04 15:19:01 UTC
Checked the bug related PRs, 

$ cd api
$ git checkout -b 4.7 remotes/origin/release-4.7
$ git log --date=local --pretty="%h %an %cd - %s" | grep '#789'
164a2fb6 OpenShift Merge Robot Mon Dec 14 19:49:59 2020 - Merge pull request #789 from tnozicka/1.20.0-beta.2

$ git log --date=local --pretty="%h %an %cd - %s" | grep '#825'
78a19e96 OpenShift Merge Robot Wed Dec 16 23:18:26 2020 - Merge pull request #825 from deads2k/keep-self-link

$ cd apiserver-library-go
$ git checkout -b 4.7 remotes/origin/release-4.7
$ git log --date=local --pretty="%h %an %cd - %s" | grep '#39'
6f1013f4 OpenShift Merge Robot Mon Dec 14 22:55:56 2020 - Merge pull request #39 from tnozicka/1.20.0-beta.2

$ cd client-go
$ git checkout -b 4.7 remotes/origin/release-4.7
$ git log --date=local --pretty="%h %an %cd - %s" | grep '#172'
e615e336 OpenShift Merge Robot Mon Dec 14 20:55:52 2020 - Merge pull request #172 from tnozicka/kube-1.20.0-beta.2

$ cd kubernetes
$ git checkout -b 4.7 remotes/origin/release-4.7
$ git log --date=local --pretty="%h %an %cd - %s" | grep ' #471 '
86b3ca48ea1 OpenShift Merge Robot Tue Dec 15 00:46:29 2020 - Merge pull request #471 from tnozicka/rebase-v1.20.0-beta.2

$ cd library-go
$ git checkout -b 4.7 remotes/origin/release-4.7
$ git log --date=local --pretty="%h %an %cd - %s" | grep '#942'
d265f469 OpenShift Merge Robot Mon Dec 14 21:52:56 2020 - Merge pull request #942 from tnozicka/kube-1.20.0-beta.2

$ cd origin
$ git checkout -b 4.7 remotes/origin/release-4.7
$ git log --date=local --pretty="%h %an %cd - %s" | grep '#25761\|#25764'
1cf6f74992 OpenShift Merge Robot Thu Dec 17 22:35:44 2020 - Merge pull request #25764 from tnozicka/kube-1.20.0
91f2f44b3f Michal Fojtik Mon Dec 14 20:21:00 2020 - Merge pull request #25761 from tnozicka/fix-build-test

All be merged to 4.7 branch, so move the bug VERIFIED.

Comment 7 errata-xmlrpc 2021-02-24 15:43:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633